#region Copyright Syncfusion Inc. 2001 - 2016
// Copyright Syncfusion Inc. 2001 - 2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Grouping;
using Syncfusion.Windows.Forms.Grid.Grouping;
using System.Windows;
using Syncfusion.Windows.Forms.Grid;

namespace ExpressionField_NullColumn
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            dataSet1.DataTable1.Rows.Add("A", 1, 50, 60, 58,true);
            dataSet1.DataTable1.Rows.Add("B", 2, 25, 89, 43,false);
            dataSet1.DataTable1.Rows.Add("C", 3, DBNull.Value, 60, 58,DBNull.Value);
            dataSet1.DataTable1.Rows.Add("D", 4, 57, 24, 99,false);
            dataSet1.DataTable1.Rows.Add("E", 5, 83, DBNull.Value, 87, DBNull.Value);

            //To pass the cell range to perform the click event
            Rectangle rect = this.gridGroupingControl1.TableControl.RangeInfoToRectangle(GridRangeInfo.Cell(5,5));
            int row, col;
            this.gridGroupingControl1.TableControl.PointToRowCol(rect.Location, out row, out col);
            //To get the current cell renderer
            GridTextBoxCellRenderer ren = this.gridGroupingControl1.TableControl.GetCellRenderer(row, col) as GridTextBoxCellRenderer;
            
            //Hooking the cell click event programmaticlly
            Syncfusion.Drawing.ActiveXSnapshot.FakeLeftMouseClick(gridGroupingControl1.TableControl, new System.Drawing.Point(rect.X, rect.Y));
            this.gridGroupingControl1.TableControl.ProcessTableClickCellsMouseDown(new GridTableClickCellsEventArgs(gridGroupingControl1.TableControl, ren, new MouseEventArgs(MouseButtons.Left, 1, rect.X, rect.Y, 0)));
            //Event triggering
            this.gridGroupingControl1.TableControlCellClick += GridGroupingControl1_TableControlCellClick;

        }
        //Event customization
        private void GridGroupingControl1_TableControlCellClick(object sender, GridTableControlCellClickEventArgs e)
        {
            MessageBox.Show(e.Inner.ColIndex.ToString());
        }
    }
}
